﻿@model IEnumerable<BusinessInterest>
<h3 style="margin-bottom:10px">Business Interests</h3>
@if (Model.Count() > 0)
{
    @foreach (var item in Model.OrderBy(i => i.businessInterestOf))
    {
        <div style="border:1px solid #c6c8ca;margin:10px;padding:15px;border-radius:10px">
            <div style="width: 100%; display: table;">
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Business Name:</span>
                        <span class="text-ink">@item.BusinessName - @item.businessInterestOfEnumString</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Entity Firm:</span>
                        <span class="text-ink">@item.EntityFirmEnum.GetDisplayName()</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Firm Ownership:</span>
                        <span class="text-ink">@item.FirmOwnerShipString</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Amount of Ownership(%):</span>
                        <span class="text-ink">@(item.AmountOfOwnership > 0 ? $"{item.AmountOfOwnership.ToString()}%" : "-")</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Fair Market Value:</span>
                        <span class="text-ink">@string.Format("{0:C0}", item.FMVofBusiness)</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Projected Value at Retirement:</span>
                        <span class="text-ink">@string.Format("{0:C0}", item.PBValueatRetirement)</span>
                    </div>
                    <div style="display: table-cell;">
                        <span>Plans for Closely Held Business?</span>
                        <span class="text-ink">@item.closelyheldbusinessEnum.GetDisplayName()</span>
                    </div>
                </div>
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Buy/Sell Contract Currently in Place?</span>
                        <span class="text-ink">@(item.BSContractCurrently ? "Yes" : "No")</span>
                    </div>
                    @if (item.BSContractCurrently == true)
                    {
                        <div style="display: table-cell;">
                            <span>Funded Life Insurance?</span>
                            <span class="text-ink">@(item.FundedLifeIns ? "Yes" : "No")</span>
                        </div>
                    }
                </div>
            </div>
            @if (item.LastReviewedEnum > 0)
            {
                <div style="display: table-row">
                    <div style="width: 500px; display: table-cell;">
                        <span>Last Reviewed:</span>
                        <span class="text-ink">@item.LastReviewedEnum.GetDisplayName()</span>
                    </div>
                </div>
            }
        </div>
    }
}
else
{
    <div class="text-na">N/A</div>
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />